Icon API Resource

icons related WS

GET /icon/{iconId}

Get binary representation of given icon

Try it out!

Request Parameters
name type description default constraints
iconId path The unique identifier of icon   long
Response Body
media type data type description
image/* object Binary representation of icon

GET /icon/json/{iconId}

get icon from icon repository

Try it out!

Request Parameters
name type description default constraints
iconId path   long
Response Body
media type data type description
application/json HdcIconTO (JSON)

GET /icon/list/json

Get icons from icon repository.

Try it out!

Response Body
media type data type description
application/json HdcIconListTO (JSON) JSON with result Example of response:

{"icons":[{"id":2940,"name":"hammer.PNG","width":78,"height":97}]}

GET /icon/tag/json

Get icons for category tag

Try it out!

Request Parameters
name type description default constraints
tags query - comma separated list of tags    
Response Body
media type data type description
application/json array of HdcIconTO (JSON) JSON with result

Example of response:

{"list":[{"id":1927,"name":"1508494112714_1352472640.png","width":94,"height":95,"tags":[{"dictKey":"43","dictValue":"Fire"}]},{"id":2219,"name":"camera.jpg","width":191,"height":191,"tags":[{"dictKey":"46","dictValue":"Installation"},{"dictKey":"45","dictValue":"Change Requests"},{"dictKey":"43","dictValue":"Fire"}]}]}